import { createApp } from 'vue'
import App from './App.vue'
import { setupI18n } from './locales'
import { setupAssets, setupScrollbarStyle } from './plugins'
import { setupStore } from './store'
import { setupRouter } from './router'
import Antd from "ant-design-vue";
import "ant-design-vue/dist/reset.css";
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
async function bootstrap() {
  const app = createApp(App)
  setupAssets()
  app.use(Antd);
  app.use(ElementPlus);
  setupScrollbarStyle()

  setupStore(app)

  setupI18n(app)
  await setupRouter(app)
    // 子页面中
    window.addEventListener('message', function(event) {
        if (event.origin==='http://localhost:8080'){
            localStorage.setItem('token',event.data)
        }
        // 可以根据需要检查event.origin是否是可信的来源


    });

    app.mount('#app')
}

bootstrap()
